
const { ccclass, property } = cc._decorator;

@ccclass
export default class Main extends cc.Component {

    @property(cc.Prefab)
    private startScreenPrefab: cc.Prefab = null;
    @property(cc.Prefab)
    private gamePlayScreenPrefab: cc.Prefab = null;
    @property(cc.Prefab)
    private cardPopupPrefab: cc.Prefab = null;

    protected start(): void {
        this.node.addChild(cc.instantiate(this.startScreenPrefab));
        this.node.addChild(cc.instantiate(this.gamePlayScreenPrefab));
        this.node.addChild(cc.instantiate(this.cardPopupPrefab));
    }
}
